
#include <pni/pniswseg.h>
#include <pni/pniswsstream.h>
#include <pni/pninetwork.h>
#include <pni/pnicodeobj.h>

void init(void)
{
  printf(">>> The init routine of testtraverse.c was run!!!!\n");
  printf(">>> 8+9 = %d\n", 8+9);
}

void accept(pniStream *capstart, int caplength)
{
  u_int8_t    x;
  pniNodeAddr curaddr, destaddr; 
  pniStream   _ps, *ps=&_ps;
  int pos=0;

  pniStream_dup(ps, capstart);

  printf(">>> The accept routine of testtraverse.c was run!!!!\n");
  
  pos+=pniStream_seekFwd(ps, pniCapsuleHeader_SIZE);
  
  pos+=pniNodeAddr_read(&destaddr, ps);
  pniNodeAddr_getLocalAddr(&curaddr);

  if (0 == pniNodeAddr_compare(&destaddr, &curaddr))
    {
      printf("---> AT DESTINATION!!!\n");
    }
  else 
    {
      printf("---> ENROUTE TO DESTINATION!!!\n");
      pniNetwork_sendCapsule(&destaddr, capstart, caplength);
    }

  printf("data contents (length=%d): ", caplength);

  while (pos++<caplength)
    {
      x = pniStream_read_uint8(ps);
      printf("%2x ", x);
    }
  printf("\n");
}

