/* $Header: /home/dl2/nygren/cvs/pan/src/node/arch/linux2/kpand.h,v 1.1 1997/12/18 02:33:31 nygren Exp $
 *
 * FILE:    kpand.h
 * AUTHORS: Erik Nygren (nygren@mit.edu)
 *
 * kpand is a kernel thread that handles requests to load code objects
 * and does other random tasks.
 *
 */

#ifndef NODE_KPAND_H_INC
#define NODE_KPAND_H_INC

#include <common/pan-copyright.h>
#include <common/pancodeobj.h>
#include <common/sysconfig.h>
#include <node/nodecodeobj.h>
#include <common/nodeaddr.h>
#include <common/swsstream.h>


typedef struct _panCodeobjLoadReq {
  struct _panCodeobjLoadReq *next;     /* Next in the queue */
  panStream                  startps;  /* The start of the codeobject */
  panNodeAddr                homeaddr; /* The home address of the codeobj */
} panCodeobjLoadReq;


extern int
pniCodeobj_load_enqueue(panStream *startps, panNodeAddr *homeaddr);

extern int 
panKPanD_startup(void);


#endif /* NODE_KPAND_H_INC */
