/* $Header: /home/dl2/nygren/cvs/pan/src/node/arch/unixuser/unodecfg.h,v 1.3 1997/12/04 00:48:50 nygren Exp $
 *
 * FILE:    unodecfg.h
 * AUTHORS: Erik Nygren (nygren@mit.edu)
 *
 * Routines for running a panUNode config file.
 * Also contains routines accessable from the config file.
 *
 */

#ifndef NODE_UNODECFG_H_INC
#define NODE_UNODECFG_H_INC

#include <common/pan-copyright.h>
#include <common/pancodeobj.h>
#include <common/sysconfig.h>
#include <node/nodecodeobj.h>
#include <common/nodeaddr.h>

#include <netinet/in.h>

#include "routing.h"

#include <siod/siod.h>

extern LISP
panUNodeCfg_installBuiltInCodeobjs(void);

extern LISP 
panUNodeCfg_setNodeAddr(LISP nodeaddr);

extern LISP 
panUNodeCfg_setRouteTable(LISP nodeaddr);

extern LISP
panUNodeCfg_loadCodeobj(LISP l_fname);


#endif /* NODE_UNODECFG_H_INC */
