
#include <pni/pniswseg.h>
#include <pni/pniswsstream.h>
#include <pni/pninetwork.h>
#include <pni/pnicodeobj.h>

void init(void)
{
  printf(">>> The init routine of simplecapsule2.c was run!!!!\n");
  printf(">>> 8+9 = %d\n", 8+9);
}

void accept(pniStream *capstart)
{
  u_int8_t x;

  printf(">>> The accept routine of simplecapsule2.c was run!!!!\n");
  printf(">>> 12+16 = %d\n", 12+16);
  
  pniStream_seekFwd(capstart, pniCapsuleHeader_SIZE);
  
  printf("data contents: ");
  while (!pniStream_eofP(capstart))
    {
      x = pniStream_read_uint8(capstart);
      printf("%2x ", x);
    }
  printf("\n");
}

