/* $Header: /home/dl2/nygren/cvs/pan/src/pni/pnimisc.h,v 1.1 1998/01/18 00:12:03 nygren Exp $
 *
 * FILE:    pni/pnimisc.h
 * AUTHORS: Erik Nygren (nygren@mit.edu)
 *
 * 
 *
 */

#ifndef PAN_PNI_MISC_H_INC
#define PAN_PNI_MISC_H_INC

#include <common/pan-copyright.h>
#include <common/sysconfig.h>
#include <common/swseg.h>

/* Routines with implementations */


#ifdef PAN_CODEOBJ

/* Routines that are simply mapped to other routines */

extern int
pniLog_msg(char *fmt, ...);

extern int
pniLog_debug(char *fmt, ...);

extern int
pniLog_error(char *fmt, ...);

extern int
pniLog_warn(char *fmt, ...);

/* printf has been depricated.  use this to find it... */
#define printf(fmt, arg...)  pniLog_debug("pan: co: PRINTF: " fmt, ##arg)

/* Also provided:     (TODO: should these have some other name?)
 *    memcpy
 *    memset
 *    memcmp
 *    ntohl
 *    htonl
 *    ntohs
 *    htons
 */


#endif /* PAN_CODEOBJ */


#endif /* PAN_PNI_MISC_H_INC */
